# Urnote

Urnote是一个用来复习MarkDown笔记的工具。 

## 快速开始

1. `pip install urnote`
2. `cd 你的MarkdDown笔记目录/`
3. `note init`

## 示例

创建了一个hello.md文件, 内容如下:

```markdown
# Are you ok ?

I am fine
```

Urnote通过标题末尾的问号识别需要安排复习的章节, 执行 `note commit` 后该章节将被加入复习计划。加入复习计划后, 标题的格式会变成这样:

```markdown
# Are you ok [?](1)

ok
```

之后每天需要复习的时候执行下 `note status` 命令, 如果发现有需要当天复习的内容, Urnote会创建`TASK/`目录并在里面展示需要复习的笔记。

进入TASK目录打开文件,会发现之前的[❓]()变成了[🔔](),该符号用来提示条目需要复习。之后在🔔后面添加符号告诉Urnote复习结果:

- 如果记得,标注V
- 如果不记得,标注X

完成标注后执行`note commit`提交即可.

## 章节状态

在Urnote中,一个章节总共有4种状态: 普通,处于复习计划,需要复习,暂停复习.

**处于复习计划**

处于复习计划的章节以符号"❓"结束.

**需要复习**

符号 "🔔" 结束表示该条目需要复习.

**暂停复习**

 符号"📕"表示该章节暂时退出了复习计划(不再提醒).

## 状态转变

| 状态     | 可用的控制字符 | 意义                   |
| ------ | ------- | -------------------- |
| 普通     | ?       | 将普通笔记加入复习计划,将加入复习计划. |
| 需要复习🔔 | V       | 表示记得,将继续处于复习计划中      |
|        | X       | 表示不记得,将继续处于复习计划中     |
|        | P       | 表示暂停本次笔记,将转入暂停复习的状态  |
| 暂停复习📕 | C       | 表示继续学习该笔记,将加入复习计划    |

上面所有的字符均不区分大小写和全角.

![状态转移图](./docs/res/state_transitions.png)

## 命令行参数

执行 `note -h` 或者 `note --help` 查看所有命令，如果要查看某个命令的具体用法可以 `note 命令名 --help`, 如 `note commit --help`

## Road Map

- [ ] 复习时间到了自动提醒
- [ ] 复习算法初始值自动调整
- [ ] 提前复习支持,即还没到复习时间的也可以提交[XVP]
